# ParlorMarshaller.InviteMarshaller (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.data
Class ParlorMarshaller.InviteMarshaller

    java.lang.Object
      com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller
          com.threerings.parlor.data.ParlorMarshaller.InviteMarshaller

All Implemented Interfaces:
  com.threerings.io.Streamable, ParlorService.InviteListener, com.threerings.presents.client.InvocationService.InvocationListener

Enclosing class:
  ParlorMarshaller

    public static class ParlorMarshaller.InviteMarshaller

extends com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller
implements ParlorService.InviteListener

Marshalls results to implementations of `ParlorService.InviteListener`.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`static int` `INVITE_RECEIVED` The method id used to dispatch `inviteReceived(int)` responses.

Fields inherited from class com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller
`callerOid, listener, mapStamp, omgr, REQUEST_FAILED_RSPID, requestId, transport`

Constructor Summary
`ParlorMarshaller.InviteMarshaller()`

Method Summary
`void` `dispatchResponse(int methodId, Object[] args)`
`void` `inviteReceived(int arg1)` Called in response to a successful `ParlorService.invite(com.threerings.util.Name, com.threerings.parlor.game.data.GameConfig, com.threerings.parlor.client.ParlorService.InviteListener)` request.

Methods inherited from class com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller
`requestFailed, setInvocationId, setNoResponse, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.threerings.presents.client.InvocationService.InvocationListener
`requestFailed`

Field Detail

### INVITE_RECEIVED

    public static final int INVITE_RECEIVED

  The method id used to dispatch `inviteReceived(int)` responses.

  See Also:
    Constant Field Values

Constructor Detail

### ParlorMarshaller.InviteMarshaller

    public ParlorMarshaller.InviteMarshaller()

Method Detail

### inviteReceived

    public void inviteReceived(int arg1)

  Description copied from interface: `ParlorService.InviteListener`
  Called in response to a successful `ParlorService.invite(com.threerings.util.Name, com.threerings.parlor.game.data.GameConfig, com.threerings.parlor.client.ParlorService.InviteListener)` request.

  Specified by:
    `inviteReceived` in interface `ParlorService.InviteListener`

### dispatchResponse

    public void dispatchResponse(int methodId,
                                 Object[] args)

  Overrides:
    `dispatchResponse` in class `com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller`

Copyright © 2011. All Rights Reserved.